NotIdentifiableEventImpl (Java Platform SE 8 )
Keywords: javax.xml.bind.helpers.NotIdentifiableEventImpl class
Date: 2026-01-21

javax.xml.bind.helpers

## Class NotIdentifiableEventImpl

- java.lang.Object
- - javax.xml.bind.helpers.ValidationEventImpl
  - - javax.xml.bind.helpers.NotIdentifiableEventImpl

- All Implemented Interfaces:
    NotIdentifiableEvent, ValidationEvent

      public class NotIdentifiableEventImpl
      extends ValidationEventImpl
      implements NotIdentifiableEvent

  Default implementation of the NotIdentifiableEvent interface.

  JAXB providers are allowed to use whatever class that implements the ValidationEvent interface. This class is just provided for a convenience.

  Since:
    JAXB1.0
  See Also:
    `NotIdentifiableEvent`, `Validator`, `ValidationEventHandler`, `ValidationEvent`, `ValidationEventLocator`

- - ### Field Summary

    - ### Fields inherited from interface javax.xml.bind.ValidationEvent

      `ERROR, FATAL_ERROR, WARNING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotIdentifiableEventImpl(int _severity, String _message, ValidationEventLocator _locator)` Create a new NotIdentifiableEventImpl.
    `NotIdentifiableEventImpl(int _severity, String _message, ValidationEventLocator _locator, Throwable _linkedException)` Create a new NotIdentifiableEventImpl.

  - ### Method Summary

    - ### Methods inherited from class javax.xml.bind.helpers.ValidationEventImpl

      `getLinkedException, getLocator, getMessage, getSeverity, setLinkedException, setLocator, setMessage, setSeverity, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.xml.bind.ValidationEvent

      `getLinkedException, getLocator, getMessage, getSeverity`

- - ### Constructor Detail

    - #### NotIdentifiableEventImpl

          public NotIdentifiableEventImpl(int _severity,
                                          String _message,
                                          ValidationEventLocator _locator)

      Create a new NotIdentifiableEventImpl.
      Parameters:
        `_severity` - The severity value for this event. Must be one of ValidationEvent.WARNING, ValidationEvent.ERROR, or ValidationEvent.FATAL_ERROR
        `_message` - The text message for this event - may be null.
        `_locator` - The locator object for this event - may be null.
      Throws:
        `IllegalArgumentException` - if an illegal severity field is supplied

    - #### NotIdentifiableEventImpl

          public NotIdentifiableEventImpl(int _severity,
                                          String _message,
                                          ValidationEventLocator _locator,
                                          Throwable _linkedException)

      Create a new NotIdentifiableEventImpl.
      Parameters:
        `_severity` - The severity value for this event. Must be one of ValidationEvent.WARNING, ValidationEvent.ERROR, or ValidationEvent.FATAL_ERROR
        `_message` - The text message for this event - may be null.
        `_locator` - The locator object for this event - may be null.
        `_linkedException` - An optional linked exception that may provide additional information about the event - may be null.
      Throws:
        `IllegalArgumentException` - if an illegal severity field is supplied

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.